Loading...
Searching...
No Matches
Product area
Information areas

Definitions related to Product Info Area. More...

Collaboration diagram for Product area:

## Data Structures

struct | fru_product_t
| The exploded representation of product info area. More...

## Enumerations

enum | fru_prod_field_t { FRU_PROD_MFG , FRU_PROD_NAME , FRU_PROD_MODELPN , FRU_PROD_VERSION , FRU_PROD_SERIAL , FRU_PROD_ASSET , FRU_PROD_FILE , FRU_PROD_FIELD_COUNT }
| Indices of mandatory fields in Product Info Area. More...

## Detailed Description

Definitions related to Product Info Area.

## Enumeration Type Documentation

## fru_prod_field_t

enum fru_prod_field_t

Indices of mandatory fields in Product Info Area.

These values are useful in combination with fru_getfield()

Enumerator
FRU_PROD_MFG |
FRU_PROD_NAME |
FRU_PROD_MODELPN |
FRU_PROD_VERSION |
FRU_PROD_SERIAL |
FRU_PROD_ASSET |
FRU_PROD_FILE |
FRU_PROD_FIELD_COUNT |